Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 139835 - api review for maven modules
api review for maven modules
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
: API, API_REVIEW
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-14 07:17 UTC by Milos Kleint
Modified: 2008-09-18 09:11 UTC (History)
11 users (show)

See Also:
Issue Type: TASK
:


Attachments
changes done to hg main repository to accomodate maven projects (14.15 KB, text/plain)
2008-07-14 09:08 UTC, Milos Kleint
Details
hg bundle file with changes (320.04 KB, application/octet-stream)
2008-07-14 09:11 UTC, Milos Kleint
Details
javadoc zip of relevant modules. (829.20 KB, application/x-compressed)
2008-07-15 12:39 UTC, Milos Kleint
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2008-07-14 07:17:33 UTC
current codebase at https://svn.codehaus.org/mevenide/branches/NETBEANS_ORG2/main,

spread across multiple clusters (java, apisupport, j2ee, profiler, (TBD - gsf, ?)
Comment 1 Milos Kleint 2008-07-14 09:08:15 UTC
Created attachment 64403 [details]
changes done to hg main repository to accomodate maven projects
Comment 2 Milos Kleint 2008-07-14 09:11:22 UTC
Created attachment 64404 [details]
hg bundle file with changes
Comment 3 Milos Kleint 2008-07-15 12:39:05 UTC
Created attachment 64555 [details]
javadoc zip of relevant modules.
Comment 4 Milos Kleint 2008-07-15 13:23:29 UTC
hey guys,

I'd like to call an inception review meeting sometimes this week (tomorrow or Thu most likely) to discuss the inclusion
of maven modules into the IDE' hg and standard distro.

it's a set of about 20 modules that span clusters (java, apisupport, enterprise, profiler,gsf..) with internal friend
dependencies (not all of the modules currently have real friends defined, but it's a work in progress)

one known issue with the build and runtime env is the maven's gsf bridge module. it has dependencies on java cluster and
gsf cluster, providing support for javascript, groovy and scala (possibly more TBD). NO idea where to put it in terms of
build and cluster.

Comment 5 Milos Kleint 2008-09-11 13:48:15 UTC
I've moved the code to hg.netbeans.org/main.

all maven modules are in maven1 cluster now.

I'm wondering if we could do an apireview session sometimes next week when Jesse is in Prague.
Comment 6 Jesse Glick 2008-09-11 15:51:03 UTC
Yes, please pick a time next week.
Comment 7 Milos Kleint 2008-09-12 15:31:04 UTC
What about Wed 17th, at 10:00 or Thu 18th, at 10:00?
Comment 8 Tomas Zezula 2008-09-12 16:57:19 UTC
Wed 17th, at 10:00 is OK for me.
Comment 9 Milan Kuchtiak 2008-09-12 19:20:07 UTC
Works for me.
Comment 10 Milos Kleint 2008-09-15 07:49:28 UTC
Ok, Wed 10AM then. I'll get a room together.
Comment 11 dlipin 2008-09-15 10:46:12 UTC
Milos, just a note: I see a bunch of localized files (like maven/src/org/netbeans/modules/maven/Bundle_ja.properties) 
which should likely be stored in separate localization repository (http://hg.netbeans.org/main/l10n).
Comment 12 Milos Kleint 2008-09-15 10:52:56 UTC
dlipin: it's a legacy of converting to hg.netbeans.org, thanks for catching it, I'll move it to the right location..
Comment 13 Milos Kleint 2008-09-17 06:51:23 UTC
dlipin: done, I've removed the localized bundles from main/ and put them in main/l10n/ repository
Comment 14 Milos Kleint 2008-09-18 09:11:54 UTC
review done, no TCRs


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo